com.corticon.eclipse.core.util

## Class TreeviewSelectionClipboard

- java.lang.Object
- - com.corticon.eclipse.core.util.TreeviewSelectionClipboard

- All Implemented Interfaces:
    java.awt.datatransfer.Transferable

      public class TreeviewSelectionClipboard
      extends java.lang.Object
      implements java.awt.datatransfer.Transferable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeviewSelectionClipboard(TreeviewSelectionDtl treeViewSelectionDtl)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getTransferData(java.awt.datatransfer.DataFlavor flavor)`
    `java.awt.datatransfer.DataFlavor[]` | `getTransferDataFlavors()`
    `static boolean` | `isCut()`
    `boolean` | `isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor)`
    `static void` | `setCut(boolean cut)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeviewSelectionClipboard

          public TreeviewSelectionClipboard(TreeviewSelectionDtl treeViewSelectionDtl)

  - ### Method Detail

    - #### isCut

          public static boolean isCut()

    - #### setCut

          public static void setCut(boolean cut)

    - #### getTransferData

          public java.lang.Object getTransferData(java.awt.datatransfer.DataFlavor flavor)
                                           throws java.awt.datatransfer.UnsupportedFlavorException,
                                                  java.io.IOException

      Specified by:
        `getTransferData` in interface `java.awt.datatransfer.Transferable`
      Throws:
        `java.awt.datatransfer.UnsupportedFlavorException`
        `java.io.IOException`

    - #### getTransferDataFlavors

          public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

      Specified by:
        `getTransferDataFlavors` in interface `java.awt.datatransfer.Transferable`

    - #### isDataFlavorSupported

          public boolean isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor)

      Specified by:
        `isDataFlavorSupported` in interface `java.awt.datatransfer.Transferable`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.